net.minecraftforge.client.event

## Class EntityViewRenderEvent

- java.lang.Object
- - cpw.mods.fml.common.eventhandler.Event
  - - net.minecraftforge.client.event.EntityViewRenderEvent

- Direct Known Subclasses:
    EntityViewRenderEvent.FogColors, EntityViewRenderEvent.FogDensity

      public abstract class EntityViewRenderEvent
      extends Event

  Event that hooks into EntityRenderer, allowing any feature to customize visual attributes of fog the player sees.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EntityViewRenderEvent.FogColors` Event that allows any feature to customize the color of fog the player sees.
    `static class` | `EntityViewRenderEvent.FogDensity` Event that allows any feature to customize the fog density the player sees.

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.eventhandler.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Block` | `block`
    `EntityLivingBase` | `entity`
    `EntityRenderer` | `renderer`
    `double` | `renderPartialTicks`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityViewRenderEvent(EntityRenderer renderer, EntityLivingBase entity, Block block, double renderPartialTicks)`

  - ### Method Summary

    - ### Methods inherited from class cpw.mods.fml.common.eventhandler.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### renderer

          public final EntityRenderer renderer

    - #### entity

          public final EntityLivingBase entity

    - #### block

          public final Block block

    - #### renderPartialTicks

          public final double renderPartialTicks

  - ### Constructor Detail

    - #### EntityViewRenderEvent

          public EntityViewRenderEvent(EntityRenderer renderer,
                               EntityLivingBase entity,
                               Block block,
                               double renderPartialTicks)